DOM::CSSImportRule Class Reference

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSImportRule:

## Public Member Functions

| CSSImportRule (const CSSImportRule &other)
| CSSImportRule (const CSSRule &other)
| CSSImportRule (CSSImportRuleImpl *impl)
CSSImportRule & | operator= (const CSSImportRule &other)
CSSImportRule & | operator= (const CSSRule &other)
DOM::DOMString | href () const
MediaList | media () const
CSSStyleSheet | styleSheet () const
Public Member Functions inherited from DOM::CSSRule
| CSSRule (const CSSRule &other)
| CSSRule (CSSRuleImpl *impl)
CSSRule & | operator= (const CSSRule &other)
unsigned short | type () const
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
CSSStyleSheet | parentStyleSheet () const
CSSRule | parentRule () const
CSSRuleImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSRule
enum | RuleType { UNKNOWN_RULE = 0, STYLE_RULE = 1, CHARSET_RULE = 2, IMPORT_RULE = 3, MEDIA_RULE = 4, FONT_FACE_RULE = 5, PAGE_RULE = 6, QUIRKS_RULE = 100 }
Protected Member Functions inherited from DOM::CSSRule
void | assignOther (const CSSRule &other, RuleType thisType)
Protected Attributes inherited from DOM::CSSRule
CSSRuleImpl * | impl

## Detailed Description

The `CSSImportRule` interface represents a `@import` rule within a CSS style sheet.

The `@import` rule is used to import style rules from other style sheets.

Definition at line 223 of file css_rule.h.

## Member Function Documentation

DOMString CSSImportRule::href | ( |  | ) | const

The location of the style sheet to be imported.

The attribute will not contain the `"url(...)"` specifier around the URI.

Definition at line 239 of file css_rule.cpp.

MediaList CSSImportRule::media | ( |  | ) | const

A list of media types for which this style sheet may be used.

Definition at line 245 of file css_rule.cpp.

CSSStyleSheet CSSImportRule::styleSheet | ( |  | ) | const

The style sheet referred to by this rule, if it has been loaded.

The value of this attribute is null if the style sheet has not yet been loaded or if it will not be loaded (e.g. if the style sheet is for a media type not supported by the user agent).

Definition at line 251 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys